<div class="container">
	<?include APP_DIR . '/views/resources/breadcrumbs.php';?>
	<div class="row">	
		<div class="col-md-12">
			<h1 class="cabecera-seccion negrita"><?=getTraduccion('detalles-pedido')?></h1>
			<hr class="black-line">
			<div class="separador20"></div>
		</div>
	</div>

	<div class="row">
    <?include APP_DIR . '/views/resources/menu-account.php';?>

    <div class="col-lg-10 col-md-9 col-sm-9">
    	<section class="invoice">
        <!-- title row -->
        <div class="row">
          <div class="col-xs-6">
            <h3 class="margin-top-0">
              <?=getTraduccion('pedido')?>
            </h3>
          </div><!-- /.col -->
          <div class="col-xs-6">
            <div class="pull-right">
              <a class="btn btn-default btn-xs" href="<?=RURL.'account/orders/'?>" role="button"><span class="glyphicon glyphicon-arrow-left"></span> <?=getTraduccion('volver')?></a>
              <?if ($pedido['tieneDevolucion']){?>
                <a class="btn btn-default btn-xs" href="<?=RURL.'account/returns/'.$pedido['id'].'/'?>" role="button"><span class="glyphicon glyphicon-transfer"></span> <?=getTraduccion('ver-devolucion')?></a>
              <?}else if ($pedido['admiteDevolucion']){?>
                <a class="btn btn-default btn-xs" href="<?=RURL.'account/returns/'.$pedido['id'].'/'?>" role="button"><span class="glyphicon glyphicon-transfer"></span> <?=getTraduccion('tramitar-devolucion')?></a>
              <?}?>
            </div>
          </div><!-- /.col -->
        </div>
        <div class="separador10"></div>
        <!-- info row -->
        <div class="row">
          <div class="col-md-6 col-sm-6 col-ms-6 col-xs-12">
            <p><strong><?=getTraduccion('origen')?></strong>: <?=$pedido['origen']?></p>
            <p><strong><?=getTraduccion('referencia')?></strong>: <?=$pedido['referencia']?></p>
            <p><strong><?=getTraduccion('fecha')?></strong>: <?=formatearFechaHora($pedido['fecha'])?></p>
            <p><strong><?=getTraduccion('metodo-pago')?></strong>: <?=$pedido['metodoPago']?></p>
            <?switch ($pedido['pedidosEstadosId']) {
              case 1: //En preparación
                $label = "info";
                break;
              case 2: //Enviado
                $label = "success";
                break;
              case 3: //Entregado
                $label = "success";
                break;
              case 4: //Cancelado
                $label = "danger";
                break;
              case 6: //Pendiente de pago
                $label = "default";
                break;
              case 7: //Error en pago
                $label = "warning";
                break;
              case 8: //Pendiente confirmación Paypal
                $label = "default";
                break;
              case 9: //Pago recibido
                $label = "primary";
                break;
              case 10: //En espera
                $label = "info";
                break;
              case 11: //En confección
                $label = "info";
                break;
              case 12: //Pagado parcialmente
                $label = "default";
                break;
              default:
                $label = "default";
                break;
            }?>
            <p><strong><?=getTraduccion('estado')?></strong>: <span class="label label-<?=$label?>"><?=$pedido['estado']?></span></p>
          </div>
          <?if(!empty($pedido['comentariosCliente'])){?>
            <div class="col-md-6 col-sm-6 col-ms-6 col-xs-12">
              <p><strong><?=getTraduccion('comentarios')?></strong>:</p>
              <p><?=$pedido['comentariosCliente']?></p>
            </div>
          <?}?>
        </div><!-- /.row -->
        <div class="separador20"></div>
        <?if ($pedido['origen']=='Web'){?>
          <div class="row">
            <div class="col-xs-12 col-md-6 col-sm-6 col-ms-6">
              <h4 class="margin-top-0">
                <i class="fa fa-list-alt" aria-hidden="true"></i> <?=getTraduccion('informacion-facturacion')?>
              </h4>
              <p><?=$pedido['direccionFacturacion']['nombre'].' '.$pedido['direccionFacturacion']['apellidos']?></p>
              <p><?=$pedido['direccionFacturacion']['direccion']?></p>
              <p><?=$pedido['direccionFacturacion']['cp'].' | '.$pedido['direccionFacturacion']['ciudad'].' | '.$pedido['direccionFacturacion']['provincia']. ' ('.$pedido['direccionFacturacion']['pais'].')'?></p>
              <p><?=$pedido['direccionFacturacion']['telefono']?></p>
            </div>
            <div class="col-xs-12 col-md-6 col-sm-6 col-ms-6">
              <h4 class="margin-top-0">
                <i class="fa fa-truck" aria-hidden="true"></i> <?=getTraduccion('informacion-envio')?>
              </h4>
              <p><?=$pedido['direccionEnvio']['nombre'].' '.$pedido['direccionEnvio']['apellidos']?></p>
              <p><?=$pedido['direccionEnvio']['direccion']?></p>
              <p><?=$pedido['direccionEnvio']['cp'].' | '.$pedido['direccionEnvio']['ciudad'].' | '.$pedido['direccionEnvio']['provincia']. ' ('.$pedido['direccionEnvio']['pais'].')'?></p>
              <p><?=$pedido['direccionEnvio']['telefono']?></p>
            </div>
          </div>
          <div class="separador20"></div>
        <?}?>
        <!-- Table row -->
        <div class="row">
          <div class="col-xs-12">
            <div class="table-responsive">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th><?=getTraduccion('referencia')?></th>
                    <th><?=getTraduccion('producto')?></th>
                    <th class="text-right"><?=getTraduccion('precio-unidad')?></th>
                    <th class="text-right"><?=getTraduccion('cantidad')?></th>
                    <th class="text-right"><?=getTraduccion('total')?></th>
                  </tr>
                </thead>
                <tbody>
                  <?foreach ($pedido['productos'] as $pedidoProducto){?>
                    <tr>
                      <td><?=$pedidoProducto['info']['referencia']?></td>
                      <td><?=$pedidoProducto['info']['producto']?></td>
                      <td class="text-right"><?=formatearPrecio($pedidoProducto['precioCompra'])?></td>
                      <td class="text-right"><?=$pedidoProducto['cantidad']?></td>
                      <td class="text-right"><?=formatearPrecio($pedidoProducto['total'])?></td>
                    </tr>
                  <?}?>
                </tbody>
              </table>
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->

        <div class="row">
          <div class="col-xs-12 col-md-7 col-md-offset-5 col-sm-12">
            <div class="table-responsive">
              <table class="table text-right">
                <tbody><tr>
                  <th style="width:50%"><?=getTraduccion('total-productos')?></th>
                  <td><?=formatearPrecio($pedido['importeProductos'])?></td>
                </tr>
                <tr>
                  <th><?=$pedido['metodoEnvio']?></th>
                  <td><?=formatearPrecio($pedido['importeEnvio'])?></td>
                </tr>
                <?if(!empty($pedido['codigoDescuento'])){?>
                  <tr>
                    <th><?=getTraduccion('codigo-descuento')?> <small><?=$pedido['codigoDescuento']?> ( - <?=$pedido['descuentoCodigoDescuento']?> <?=($pedido['tipoDescuentoCodigoDescuento']=='porcentaje')?'%':'€'?> )</small></th>
                    <td>- <?=formatearPrecio($pedido['importeCodigoDescuento'])?></td>
                  </tr>
                <?}?>  
                <tr>
                  <th><?=getTraduccion('total-pedido')?></th>
                  <td><?=formatearPrecio($pedido['importeTotal'])?></td>
                </tr>
              </tbody></table>
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->

      </section>
    </div> <!-- Fin columna derecha -->

  </div> <!--Fin row-->

  <div class="separador30"></div>

  <!--Menu responsive-->
  <?include APP_DIR . '/views/resources/menu-account-responsive.php';?>

</div> <!--END container-->