<div class="container">
	<?include APP_DIR . '/views/resources/breadcrumbs.php';?>
	<div class="row">	
		<div class="col-md-12">
			<h1 class="cabecera-seccion negrita"><?=getTraduccion('detalles-pedido')?></h1>
			<hr class="black-line">
			<div class="separador20"></div>
		</div>
	</div>

	<div class="row">
    <?include APP_DIR . '/views/resources/menu-account.php';?>

    <div class="col-lg-10 col-md-9 col-sm-9">
    	<section class="invoice">
        <!-- title row -->
        <div class="row">
          <div class="col-xs-6">
            <h3 class="margin-top-0">
              <?=getTraduccion('devolucion')?>
            </h3>
          </div><!-- /.col -->
          <div class="col-xs-6">
            <div class="pull-right">
              <a class="btn btn-default btn-xs" href="<?=RURL.'account/returns/'?>" role="button"><span class="glyphicon glyphicon-arrow-left"></span> <?=getTraduccion('volver')?></a>
            </div>
          </div><!-- /.col -->
        </div>
        <div class="separador10"></div>

        <?if ($result=='ok'){?>
          <div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
            <p><strong><i class="icon fa fa-check"></i> <?=getTraduccion('mensaje-envio-devolucion')?></strong></p>
          </div>
        <?}?>

        <!-- info row -->
        <div class="row">
          <div class="col-md-6 col-sm-6 col-ms-6 col-xs-12">
            <p><strong><?=getTraduccion('origen')?></strong>: <?=$devolucion['origen']?></p>
            <p><strong><?=getTraduccion('referencia')?></strong>: <?=$devolucion['referencia']?></p>
            <p><strong><?=getTraduccion('fecha')?></strong>: <?=formatearFechaHora($devolucion['fecha'])?></p>
            <?switch ($devolucion['devolucionesEstadosId']) {
              case 1: //Pendiente de confirmación
                $label = "warning";
                break;
              case 2: //Pendiente de paquete
                $label = "primary";
                break;
              case 3: //Paquete recibido
                $label = "info";
                break;
              case 4: //Denegada
                $label = "danger";
                break;
              case 5: //Aceptada
                $label = "success";
                break;
              default:
                $label = "default";
                break;
            }?>
            <p><strong><?=getTraduccion('estado')?></strong>: <span class="label label-<?=$label?>"><?=$devolucion['estado']?></span></p>
          </div>
          <?if(!empty($devolucion['comentariosCliente'])){?>
            <div class="col-md-6 col-sm-6 col-ms-6 col-xs-12">
              <p><strong><?=getTraduccion('comentarios')?></strong>:</p>
              <p><?=$devolucion['comentariosCliente']?></p>
            </div>
          <?}?>
        </div><!-- /.row -->
        <div class="separador20"></div>
        <!-- Table row -->
        <div class="row">
          <div class="col-xs-12">
            <div class="table-responsive">
              <table class="table table-striped">
                <thead>
                  <tr>
                    <th><?=getTraduccion('referencia')?></th>
                    <th><?=getTraduccion('producto')?></th>
                    <th class="text-right"><?=getTraduccion('cantidad-comprada')?></th>
                    <th class="text-right"><?=getTraduccion('devolucion-solicitada')?></th>
                    <th class="text-right"><?=getTraduccion('devolucion-aceptada')?></th>
                  </tr>
                </thead>
                <tbody>
                  <?foreach ($devolucion['lineas'] as $lineaDevolucion){?>
                    <tr>
                      <td><?=$lineaDevolucion['info']['referencia']?></td>
                      <td><?=$lineaDevolucion['info']['producto']?></td>
                      <td class="text-right"><?=$lineaDevolucion['info']['cantidad']?></td>
                      <td class="text-right"><?=$lineaDevolucion['cantidadSolicitada']?></td>
                      <td class="text-right"><?=$lineaDevolucion['cantidadAceptada']?></td>
                    </tr>
                  <?}?>
                </tbody>
              </table>
            </div>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </section>
    </div> <!-- Fin columna derecha -->

  </div> <!--Fin row-->

  <div class="separador30"></div>

  <!--Menu responsive-->
  <?include APP_DIR . '/views/resources/menu-account-responsive.php';?>

</div> <!--END container-->